import React, { HTMLAttributes } from 'react';
export interface CTabPaneProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * A string of all className you want applied to the base component.
     */
    className?: string;
    /**
     * Callback fired when the component requests to be hidden.
     */
    onHide?: () => void;
    /**
     * Callback fired when the component requests to be shown.
     */
    onShow?: () => void;
    /**
     * Toggle the visibility of component.
     */
    visible?: boolean;
}
export declare const CTabPane: React.ForwardRefExoticComponent<CTabPaneProps & React.RefAttributes<HTMLDivElement>>;
